/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under Ultimate Liberty license
  * SLA0044, the "License"; You may not use this file except in compliance with
  * the License. You may obtain a copy of the License at:
  *                             www.st.com/SLA0044
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define PC88_D0_Pin GPIO_PIN_1
#define PC88_D0_GPIO_Port GPIOA
#define PC88_D1_Pin GPIO_PIN_2
#define PC88_D1_GPIO_Port GPIOA
#define PC88_D2_Pin GPIO_PIN_3
#define PC88_D2_GPIO_Port GPIOA
#define PC88_D3_Pin GPIO_PIN_4
#define PC88_D3_GPIO_Port GPIOA
#define PC88_D4_Pin GPIO_PIN_5
#define PC88_D4_GPIO_Port GPIOA
#define PC88_D5_Pin GPIO_PIN_6
#define PC88_D5_GPIO_Port GPIOA
#define PC88_D6_Pin GPIO_PIN_7
#define PC88_D6_GPIO_Port GPIOA
#define LED1_Pin GPIO_PIN_0
#define LED1_GPIO_Port GPIOB
#define LED2_Pin GPIO_PIN_1
#define LED2_GPIO_Port GPIOB
#define LED3_Pin GPIO_PIN_2
#define LED3_GPIO_Port GPIOB
#define LED4_Pin GPIO_PIN_10
#define LED4_GPIO_Port GPIOB
#define SS_U_Pin GPIO_PIN_12
#define SS_U_GPIO_Port GPIOB
#define SS_D_Pin GPIO_PIN_13
#define SS_D_GPIO_Port GPIOB
#define SS_L_Pin GPIO_PIN_14
#define SS_L_GPIO_Port GPIOB
#define SS_R_Pin GPIO_PIN_15
#define SS_R_GPIO_Port GPIOB
#define PC88_D7_Pin GPIO_PIN_9
#define PC88_D7_GPIO_Port GPIOA
#define SWITCH_Pin GPIO_PIN_10
#define SWITCH_GPIO_Port GPIOA
#define SS_TH_Pin GPIO_PIN_3
#define SS_TH_GPIO_Port GPIOB
#define SS_TR_Pin GPIO_PIN_4
#define SS_TR_GPIO_Port GPIOB
#define PC88_A_Pin GPIO_PIN_5
#define PC88_A_GPIO_Port GPIOB
#define PC88_A_EXTI_IRQn EXTI9_5_IRQn
#define PC88_A0_Pin GPIO_PIN_6
#define PC88_A0_GPIO_Port GPIOB
#define PC88_A0_EXTI_IRQn EXTI9_5_IRQn
#define PC88_A1_Pin GPIO_PIN_7
#define PC88_A1_GPIO_Port GPIOB
#define PC88_A1_EXTI_IRQn EXTI9_5_IRQn
#define PC88_A2_Pin GPIO_PIN_8
#define PC88_A2_GPIO_Port GPIOB
#define PC88_A2_EXTI_IRQn EXTI9_5_IRQn
#define PC88_A3_Pin GPIO_PIN_9
#define PC88_A3_GPIO_Port GPIOB
#define PC88_A3_EXTI_IRQn EXTI9_5_IRQn
/* USER CODE BEGIN Private defines */
extern uint32_t		pc88_reset;
extern uint32_t		pc88_data[];
/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
